#!/bin/sh
# OSパッチ実行用スクリプト
# 2012.05.29 初期バージョン作成
# 2012.11.20 圧縮ファイル戻しにも対応
#

# USB上に/updateデータが存在するか？
if [ -f ./install.sh ]; then
  # くるくる表示を開始
  ./Progress &
  # パッチインストーラーを実行する
  ./install.sh
  # 圧縮ファイルバックアップのときは解凍する
  if [ -f ../ishida-*.zip ]; then
    unzip -oq ../ishida-*.zip
    mv ishida ../ishida-back
  fi
  # くるくる表示を終了
  killall -q -e 'Progress'
  # データ書き出し
  sync
fi

# フォルダー戻し
if [ -d ../ishida-back ]; then
  cd ..
  mv -f ishida      ishida-setup
  mv -f ishida-back ishida
  rm -R -f ishida-setup
fi

