#!/bin/sh
# epfviewをインストールするパッチプログラム
# 2013.06.15 初期バージョン作成
# 2013.09.18 動画対応

# epdfviewのインストールを行う
sudo dpkg -i libpoppler-glib4_0.12.0-0ubuntu2.3_i386.deb
sudo dpkg -i libpoppler5_0.12.0-0ubuntu2.3_i386.deb
sudo dpkg -i poppler-utils_0.12.0-0ubuntu2.3_i386.deb
sudo dpkg -i poppler-data_0.2.1-5_all.deb
sudo dpkg -i epdfview_0.1.7-2_i386.deb

# mozpluggerが動作できる環境のインストールを行う
sudo dpkg -i m4_1.4.13-2_i386.deb

# mozplugger実行ファイルをコピーする
sudo cp -f mozplugger-controller /usr/local/bin
sudo cp -f mozplugger-linker /usr/local/bin
sudo cp -f mozplugger-helper /usr/local/bin
sudo cp -f mozplugger-update /usr/local/bin

# mozplugger設定ファイルをコピーする
sudo cp -f mozpluggerrc /usr/local/etc

# mozpluggerライブラリをコピーする
mkdir ../.mozilla
mkdir ../.mozilla/plugins
sudo mkdir /usr/lib/mozilla
sudo mkdir /usr/lib/mozilla/plugins
sudo cp mozplugger.so /usr/lib/mozilla/plugins

sleep 2m
sudo touch /usr/local/etc/mozpluggerrc

# mozplugger設定を有効化する
/usr/local/bin/mozplugger-update

# パッチバージョンをコピー
if [ ! -d ../.isd/patch ]; then
  mkdir ../.isd/patch
fi
cp *.txt ../.isd/patch
